import select_default from "../../d3-selection/src/select.js";
import noevent_default, { nonpassivecapture } from "./noevent.js";
function nodrag_default(r) {
	var i = r.document.documentElement, a = select_default(r).on("dragstart.drag", noevent_default, nonpassivecapture);
	"onselectstart" in i ? a.on("selectstart.drag", noevent_default, nonpassivecapture) : (i.__noselect = i.style.MozUserSelect, i.style.MozUserSelect = "none");
}
function yesdrag(r, i) {
	var a = r.document.documentElement, o = select_default(r).on("dragstart.drag", null);
	i && (o.on("click.drag", noevent_default, nonpassivecapture), setTimeout(function() {
		o.on("click.drag", null);
	}, 0)), "onselectstart" in a ? o.on("selectstart.drag", null) : (a.style.MozUserSelect = a.__noselect, delete a.__noselect);
}
export { nodrag_default as default, yesdrag };
